#!/usr/bin/env python3
from cmk.gui.i18n import _
from cmk.gui.plugins.metrics import (
    metric_info,
    graph_info,
)

metric_info["mc_num_domains"] = {
    "title": _("Number of Domains"),
    "unit": "count",
    "color": "44/a",
}

metric_info["mc_num_mailboxes"] = {
    "title": _("Number of Mailboxes"),
    "unit": "count",
    "color": "44/b",
}

metric_info["mc_num_global_messages"] = {
    "title": _("Number of Messages"),
    "unit": "count",
    "color": "42/a",
}

metric_info["mailcow_domains_used_quota"] = {
    "title": _("Domain Quota Used"),
    "unit": "%",
    "color": "24/a",
}

metric_info["mailcow_domains_mailboxes"] = {
    "title": _("Domain Mailboxes Quota Used"),
    "unit": "%",
    "color": "44/b",
}

metric_info["mailcow_domains_aliases"] = {
    "title": _("Domain Aliases Quota Used"),
    "unit": "%",
    "color": "44/a",
}

metric_info["mailcow_domains_messages"] = {
    "title": _("Global Number of Messages"),
    "unit": "count",
    "color": "24/a",
}

metric_info["mailcow_domains_configured_aliases"] = {
    "title": _("Number of Configured Aliases"),
    "unit": "count",
    "color": "24/a",
}

metric_info["mailcow_domains_configured_mailboxes"] = {
    "title": _("Number of Configured Mailboxes"),
    "unit": "count",
    "color": "24/b",
}

metric_info["mailcow_mailboxes_used_quota"] = {
    "title": _("Mailbox Quota Used"),
    "unit": "%",
    "color": "24/a",
}

metric_info["mailcow_mailboxes_messages"] = {
    "title": _("Number of Messages"),
    "unit": "count",
    "color": "24/b",
}

metric_info["mc_solr_size"] = {
    "title": _("Solr Size"),
    "unit": "bytes",
    "color": "24/b",
}

metric_info["mc_solr_documents"] = {
    "title": _("Number of Solr Documents"),
    "unit": "count",
    "color": "24/a",
}